Summary: A wiki server
Name: kpwiki
Version: 2.16 
Release: 1swedish
Buildarch: noarch
Source0: %{name}-%{version}.tar.gz
License: Gnu General Public License, GPL, version 2
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-root
URL: http://www.lysator.liu.se/~kjell-e/tekla/linux/kpwiki
Icon: kpwiki-icon.gif
Requires: webserver python rcs

%description
KpWiki is a wiki server written in python.
KpWiki is free software under Gnu General Public License version 2. 


%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install RPM_BUILD_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /opt/kpwiki/etc/kpwiki.conf
%config /opt/kpwiki/etc/read-only-pages
%config /opt/kpwiki/data/Startsida
%config /opt/kpwiki/data/left_menu
%config /opt/kpwiki/data/left_bottom_menu
%attr(-,apache,apache) /opt/kpwiki
%attr(-,apache,apache) /usr/share/doc/kpwiki-%{version}/
%docdir /usr/share/doc/kpwiki-%{version}/
%attr(-,apache,apache) /var/www/html/css/kpwiki.css
%attr(-,apache,apache) /var/www/html/kpwiki-images
/var/www/cgi-bin/
/var/www/html/pictures


%post
cd /opt/kpwiki/data; find -type f -maxdepth 1 -exec ci -u {} \; << EOF
Start
.
EOF

%changelog
* Tue Aug 27 2002 root <kjell-e@burken.cendio.se>
- Initial build.


